INTERFACE
SUBROUTINE OBSCOR_LANCZOS(PEV,PRITZ,KRITZ,KLANMAX,YDSTREAM)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE RANDOM_NUMBERS_MIX
INTEGER(KIND=JPIM), INTENT(IN) :: KLANMAX
TYPE(randomNumberStream), INTENT(INOUT) :: YDSTREAM
REAL(KIND=JPRB), INTENT(OUT) :: PEV(:,:)
REAL(KIND=JPRB), INTENT(OUT) :: PRITZ(KLANMAX)
INTEGER(KIND=JPIM), INTENT(OUT) :: KRITZ
END SUBROUTINE OBSCOR_LANCZOS
END INTERFACE
